#!/bin/tcsh -f

if ( $#argv < 3 ) then
    echo usage : $0 'depend(-1:no_depend) start(00-99) stop(00-99) command params...'
    exit
endif

set dep   = $1
set start = $2
set end   = $3
shift
shift
shift

set dep = `bjobs | grep -e ${dep} | perl -ne 'split;print $_[0];'`

while( $start <= $end )
    set depopt = ''
    if ( $dep > 0 ) then
        set depopt = "-w ${dep}"
    endif

    set n = `echo $start | perl -ne 'printf "%02d",$_;'`
    echo bsub -q m ${depopt} $* $n
    bsub -q m ${depopt} $* $n
    sleep 1

    set dep = `bjobs | sort -n | tail -1 | perl -ne 'split;print $_[0];'`
    set start = `expr $start + 1`
end
